spatialite_osm_overpass(1)

NAME
spatialite_osm_overpass - download OSM XML via the Overpass API into a SpatiaLite DB

SYNOPSIS
\FCspatialite_osm_overpass\F[]
[\FC-h\F[]] [\FC-d\F[] pathname] [\FC-minx\F[] coord] [\FC-maxx\F[] coord] [\FC-miny\F[] coord] [\FC-maxy\F[] coord] [\FC-o\F[] URL] [\FC-mode\F[] mode] [\FC-cs\F[] num] [\FC-m\F[]] [\FC-jo\F[]] [\FC-p\F[]]

DESCRIPTION
spatialite_osm_overpass is a tool for downloading OSM datasets via the Overpass API into a SpatiaLite DB.

OPTIONS

\FC-h\F[], \FC--help\F[]
    show help message

\FC-d\F[] pathname, \FC--db-path\F[] pathname
    the SpatiaLite DB path

\FC-minx\F[] coord, \FC--bbox-minx\F[] coord
    BoundingBox - west longitude

\FC-miny\F[] coord, \FC--bbox-miny\F[] coord
    BoundingBox - east longitude

\FC-maxx\F[] coord, \FC--bbox-maxx\F[] coord
    BoundingBox - south longitude

\FC-maxy\F[] coord, \FC--bbox-maxy\F[] coord
    BoundingBox - north longitude

you can specify the following options as well

\FC-o\F[] URL, \FC--osm-service\F[] URL
    URL of OSM Overpass service:

    http://overpass-api.de/api (default)

    http://overpass.osm.rambler.ru/cgi

    http://api.openstreetmap.fr/oapi

\FC-mode\F[] mode, \FC--mode\F[] mode
    one of: RAW / MAP (default) / ROAD / RAIL

\FC-cs\F[] num, \FC--cache-size\F[] num
    DB cache size (how many pages)

\FC-m\F[], \FC--in-memory\F[]
    using IN-MEMORY database

\FC-jo\F[], \FC--journal-off\F[]
    unsafe (but faster) mode

\FC-p\F[], \FC--preserve\F[]
    skipping final cleanup (preserving OSM tables)